=== modified file 'bzrlib/tests/test_osutils.py'
--- bzrlib/tests/test_osutils.py	2012-01-04 11:09:28 +0000
+++ bzrlib/tests/test_osutils.py	2012-01-04 11:33:49 +0000
@@ -2102,10 +2102,15 @@
         user = osutils.getuser_unicode()
         self.assertIsInstance(user, unicode)
 
+    def envvar_to_override(self):
+        if sys.platform == "win32":
+            # Disable use of platform calls on windows so envvar is used
+            self.overrideAttr(win32utils, 'has_ctypes', False)
+            return 'USERNAME' # only variable used on windows
+        return 'LOGNAME' # first variable checked by getpass.getuser()
+
     def test_ascii_user(self):
-        # Disable use of platform calls on windows so envvar is used
-        self.overrideAttr(win32utils, 'has_ctypes', False)
-        self.overrideEnv('USERNAME', 'jrandom')
+        self.overrideEnv(self.envvar_to_override(), 'jrandom')
         self.assertEqual(u'jrandom', osutils.getuser_unicode())
 
     def test_unicode_user(self):
@@ -2117,11 +2122,10 @@
                 % (osutils.get_user_encoding(),))
         uni_username = u'jrandom' + uni_val
         encoded_username = uni_username.encode(ue)
-        # Disable use of platform calls on windows so envvar is used
-        self.overrideAttr(win32utils, 'has_ctypes', False)
-        self.overrideEnv('USERNAME', encoded_username)
+        var = self.envvar_to_override()
+        self.overrideEnv(var, encoded_username)
         self.assertEqual(uni_username, osutils.getuser_unicode())
-        self.overrideEnv('USERNAME', u'jrandom\xb6'.encode(ue))
+        self.overrideEnv(var, u'jrandom\xb6'.encode(ue))
         self.assertEqual(u'jrandom\xb6', osutils.getuser_unicode())
 
 

